@use 'shop/resources/scss/base/constants/colors';

// basic page layout styles go here.
.theme {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

%hide-visually {
  position: absolute;
  overflow: hidden;
  width: 1px;
  height: 1px;
  padding: 0;
  border: 0;
  margin: -1px;
  clip: rect(0 0 0 0);
}

.u-icon-source,
.u-icon-sprite {
  @extend %hide-visually;
}

.visible {
  display: block;
}

:focus-visible {
  outline: colors.$color-primary auto 1px;
}

main {
  display: grid;
  align-items: center;
  min-height: 50vh;
}